package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.impl.TeamchatAPIImpl;

/**
 * This bot listens on the event stream for a keyword call test. 
 * Any text message that begins with test will be caught and will
 * result in printing out 
 *   1) The full message and
 *   2) The email id of the person who sent it
 * to the console.
 * 
 * Please remember to update the 2 parameter viz.  
 * bot, password. 
 */
public class ReceiveKeywordDemo {
	public static final String bot = "bot@teamchat.com";
	public static final String password = "botpwd";	

	@OnKeyword(value="test", hasParams=true)
	public void onTest(TeamchatAPI api) {
		System.out.println("Got keyword test");
		System.out.println("\tFull message:" + api.context().currentChatlet().raw());
		System.out.println("\tSent by:" + api.context().currentSenderId());
	}
	
	public static void main(String[] args) throws Exception {
		TeamchatAPIImpl.fromFile("config.json")
				.setEmail(bot)
				.setPassword(password)
				.startReceivingEvents(new ReceiveKeywordDemo());
	}
}
